# Deactivates a payment link

<a id="flute-v1-post-pay-int-api-quick-payments-quickPaymentId-deactivate"></a>
<span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-int-api/quick-payments/{{quickPaymentId}}/deactivate</span>
This endpoint manually deactivates a one-time payment link.
The link can also be manually deactivated any time after it is created but before the Customer completes payment.
The link can be deactivated and cannot be used in the following situations:
* The payment is made
* The link is manually deactivated
* The link's time limit expires

<span class="api-seealso">See Also:</span><br>
To create a one-time payment link, see <a href="/api-reference/quick-payments/flute-v1-post-pay-int-api-quick-payments-one-time" style="text-decoration: underline;">POST /pay-int-api/quick-payments/one-time</a>.<br>
To create a reusable payment link, see <a href="/api-reference/quick-payments/flute-v1-post-pay-int-api-quick-payments-reusable" style="text-decoration: underline;">POST /pay-int-api/quick-payments/reusable</a>.<br>
To activate a payment link, see <a href="/api-reference/quick-payments/flute-v1-post-pay-int-api-quick-payments-quickpaymentid-activate" style="text-decoration: underline;">POST /pay-int-api/quick-payments/{quickPaymentId}/activate</a>.<br>
To send a payment link by SMS, see <a href="/api-reference/quick-payments/flute-v1-post-pay-int-api-quick-payments-quickpaymentid-send-sms-notification" style="text-decoration: underline;">POST /pay-int-api/quick-payments/{quickPaymentId}/send-sms-notification</a>.<br>

Endpoint: POST /pay-int-api/quick-payments/{quickPaymentId}/deactivate
Version: V1
Security: Bearer

## Path parameters:

  - `quickPaymentId` (string, required)
    Specifies the payment link identifier.

This value is returned from either:
* `POST /pay-int-api/quick-payments/one-time`
* `POST /pay-int-api/quick-payments/reusable`

## Header parameters:

  - `x-api-version` (string)
    Specifies the API version to use for the request.

Example: 1.0

## Response 400 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.

Example: FluteOpsDeveloper.MSG322
    Example: FluteOpsDeveloper.MSG322

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 404 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Entity with ID 'aa6cfcd0-0295-4a4c-b074-8c901f114fef' was not found.
    Example: Entity with ID 'aa6cfcd0-0295-4a4c-b074-8c901f114fef' was not found.

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.

Example: FluteOpsDeveloper.MSG322
    Example: FluteOpsDeveloper.MSG322

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: System.Collections.Generic.KeyNotFoundException
    Example: System.Collections.Generic.KeyNotFoundException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 500 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: An unexpected error occurred while processing the request.
    Example: An unexpected error occurred while processing the request.

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: (Service)

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: System.Exception
    Example: System.Exception

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

